using Brizco.Domain.Dtos.LargeDtos;

namespace Brizco.Domain.CommandQueries.Queries;

public sealed record GetActivitiesQuery(int Page = 0 , 
    long SelectedDate = 0 , 
    Guid? SelectedShiftPlanId = null ,
    DateTimeQueryFilter? DateQueryFilter = null,
    Guid? UserId = null) :  IRequest<List<ActivitySDto>>;

public sealed record GetActivityQuery(Guid Id) :  IRequest<ActivityLDto>;

public sealed record GetShiftPlanActivitiesQuery(Guid ShiftPlanId) : IRequest<List<ActivitySDto>>;